#include<stdio.h>
#include<math.h>
#include<ctype.h>

main(){
	long long v, koef1=1,koef2=2,koef5=5, del1=0, del2=0, del5=0;
	int brnov=0;
	scanf("%lld", &v);
	
	while(v>0){
	if(v/koef5==1 || v/koef2==1 || v/koef1==1){
	if(v/koef5==1){
	v-=koef5;brnov++;
	koef5/=10;
	koef2/=10;
	koef1/=10;
}
	if(v/koef2==1){
	v-=koef2;brnov++;
	koef5/=10;
	koef2/=10;
	koef1/=10;
}
	if(v/koef1==1){
	v-=koef1;brnov++;
	koef5/=10;
	koef2/=10;
	koef1/=10;
}
	}else if(v/koef5==0 || v/koef2==0 || v/koef1==0){
		
	if(v/koef5==0){
		brnov+=v/koef5;
	v-=koef5*v/koef5;
}
	if(v/koef2==0){
		brnov+=v/koef2;
	v-=koef2*v/koef2;
	
}
	if(v/koef1==0){
		brnov+=v/koef1;
        v-=koef1*v/koef1;		
}else{
	koef5*=10;
	koef2*=10;
	koef1*=10;
	printf("plus");
	}
}

}

}